#pragma once

#include "gui.h"
#include "framebuffer.h"
#include "ppc.h"
#include "TMesh.h"

class Scene {
public:

	GUI *gui;
	FrameBuffer *fb, *fb3;
	PPC *ppc, *ppc3;
	TMesh *tmeshes;
	int tmeshesN;
	Scene();
	void DBG();
	void NewButton();
	void Render();
	void Render(FrameBuffer *rfb, PPC *rppc);
	float vf; // ppc visualization focal length
};

extern Scene *scene;